Get one Warehouse
curl --request GET \
--url https://{base_url_domain}/api/global/v1/inventory/warehouses/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://{base_url_domain}/api/global/v1/inventory/warehouses/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{base_url_domain}/api/global/v1/inventory/warehouses/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"resource": {
"type": "Warehouse",
"id": 3,
"name": "East Coast 1",
"abbreviation": "EC1",
"is_active": true
}
}{
"errors": [
{
"type": "parameters",
"message": "The supplied parameters are invalid.",
"details": [
{
"key": "hold_until_date",
"message": "The date must be in the future."
}
]
}
]
}{
"errors": [
{
"type": "not_found",
"message": "The server could not find the requested resource."
}
]
}{
"errors": [
{
"type": "unable_to_process",
"message": "The supplied parameters are invalid.",
"details": [
{
"key": "hold_until_date",
"message": "The date must be in the future."
}
]
}
]
}Warehouses
Get one Warehouse
Returns a single Warehouse object specified by its id path parameter.
GET
/
v1
/
inventory
/
warehouses
/
{id}
Get one Warehouse
Authorizations
Generate a JWT access token through a Custom Global Integration and provide it with each request in the Authorization header prefixed with "Bearer" and then a single space.
Path Parameters
The id of the Warehouse.
Required range:
x >= 1Query Parameters
Specify additional fields of the Warehouse object to be included in the response.
Available options:
basic, all, id, name, is_active, abbreviation Response
OK
A Warehouse represents a physical location from which you can store inventory and perform operations independently of other warehouses.
Show child attributes
Show child attributes
Was this page helpful?
⌘I